Przegląd klucza
| Wersja klucza | V3 |
|---|---|
| Specyfikacja | RFC 1991 · RFC 2440 · RFC 4880 |
| Stan | Przestarzałe – legacy, zachowane wyłącznie dla zgodności historycznej |
| Klucz główny (certyfikacja, podpisywanie) | RSA 1024 · ID 1 |
| Podklucz szyfrujący | Brak: klucze wersji 2 i 3 nie mają podkluczy, główny klucz RSA służy również do szyfrowania (C/S/E wynika z algorytmu) |
| Odcisk | 8C82CFA8E8957EA451848A6948E37C72 |
| Hasło klucza prywatnego | synthetic-key-password |
Algorytmy i zastosowanie
RSA 1024: RSA z modułem o długości 1024 bitów, obecnie uznawany za możliwy do złamania. Zachowany wyłącznie dla zgodności historycznej; GnuPG go akceptuje, Sequoia i narzędzia oparte na rPGP odrzucają klucze poniżej 2048 bitów, podobnie jak serwer kluczy keys2 podczas importu.
Klucz publiczny
Klucz publiczny z identyfikatorem użytkownika i podpisem własnym. Klucze wersji 2 i 3 nie mają podkluczy: ten sam klucz RSA weryfikuje podpisy i służy do szyfrowania danych dla tej tożsamości testowej.
Pobierz → 522 bajty
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
Klucz prywatny
Klucz prywatny chroniony hasłem podanym powyżej. Opublikowany wyłącznie do testów: każdy może go użyć.
Pobierz → 983 bajty
Pokaż
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
Certyfikat unieważnienia
Wygenerowany wcześniej certyfikat kompromitacji klucza, klasa podpisu 0x20 zdefiniowana w RFC 1991 („This is my key, and I have revoked it”) i zaimplementowana w PGP 2.6. Jego import oznacza klucz jako unieważniony.
Pobierz → 725 bajty
Pokaż
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
Podpis pliku test_1MB.bin
Podpis odłączony pliku test_1MB.bin w formacie ASCII armor, utworzony tym kluczem w CH-J Tools. Zapisz go jako test_1MB.bin.asc obok pliku testowego.
Pobierz → 273 bajty
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
Zweryfikuj podpis
Klucze wersji 3 i 2 wymagają GnuPG 1.4 (gpg1) z jawnym zezwoleniem na MD5, historycznego PGP lub CH-J Tools. Użyj tymczasowego GNUPGHOME, aby klucz testowy nie trafił do Twojego właściwego pęku kluczy:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin